﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CreateVisualComponent
{
    public partial class SelectionComponent : UserControl
    {
        private EventHandler? _changeEvent;
        public ListBox.ObjectCollection Items => listBoxSimple.Items;
        public SelectionComponent()
        {
            InitializeComponent();
        }
        public event EventHandler ChangeEvent
        {
            add
            {
                _changeEvent += value;
            }
            remove
            {
                _changeEvent -= value;
            }
        }
        public string SelectedElement
        {
            get
            {
                return listBoxSimple.SelectedItem?.ToString() ?? string.Empty;
            }
            set
            {
                listBoxSimple.SelectedIndex = listBoxSimple.FindString(value);
            }
        }

        private void ListBoxSimple_SelectedIndexChanged(object sender, EventArgs e)
        {
            _changeEvent?.Invoke(sender, e);
        }
        public void Clear()
        {
            listBoxSimple.Items.Clear();
        }
    }
}
